import request from '@/utils/request'

// 查询报警统计（当天）列表
export function listDay(query) {
  return request({
    url: '/production/day/list',
    method: 'get',
    params: query
  })
}

// 查询报警统计（当天）详细
export function getDay(id) {
  return request({
    url: '/production/day/' + id,
    method: 'get'
  })
}

// 新增报警统计（当天）
export function addDay(data) {
  return request({
    url: '/production/day',
    method: 'post',
    data: data
  })
}

// 修改报警统计（当天）
export function updateDay(data) {
  return request({
    url: '/production/day',
    method: 'put',
    data: data
  })
}

// 删除报警统计（当天）
export function delDay(id) {
  return request({
    url: '/production/day/' + id,
    method: 'delete'
  })
}

// 导出报警统计（当天）
export function exportDay(query) {
  return request({
    url: '/production/day/export',
    method: 'get',
    params: query
  })
}
